Get video call data

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to get the results of the video call and the call identifier.

Request example

curl -X GET \
     'https://api.sumsub.com/resources/inspections/inspectionId?fields=videoIdentData' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'

Response explained

The response is a JSON file that includes the Video Ident data.

NameTypeDescription
idStringInspection identifier.
videoIdentDataObjectIncludes the video call data and the Video Ident step status.

videoIdentData attributes

The following table explains the attributes of the videoIdentData object.

NameTypeDescription
reviewStatusStringIndicates the current status of the Video Ident step.
moderatorDisplayNameStringVideo Call operator name.
compositionsArray of objectsIncludes the objects representing the data about each video call.

compositions element fields

The following table explains the element fields of the compositions object which represent the data about each video call.

NameTypeDescription
compositionCreatedAtDateDate and time the video composition was created.
compositionDurationIntegerDuration of video composition in seconds.
compositionMediaIdStringUnique identifier of video composition.

Response example

{
  "id": "5e9412223cc1813b4db0b0e4",
  "videoIdentData": {
    "reviewStatus": "completed",
    "moderatorDisplayName": "John Doe",
    "compositions": [
      {
        "compositionCreatedAt": "2022-07-26 09:02:53",
        "compositionDuration": 1868,
        "compositionMediaId": "62dfae546cef4a0001079b37"
      },
      {
        "compositionCreatedAt": "2022-07-27 07:53:31",
        "compositionDuration": 1868,
        "compositionMediaId": "62e0ef8d7ff76f000176aeb1"
      },
      {
        "compositionCreatedAt": "2022-07-29 07:21:19",
        "compositionDuration": 540,
        "compositionMediaId": "62e38aa5fd6916000172dc23"
      }
    ]
  }
}

Path Params
string
required

Unique combination of digits and characters to identify all actions with the applicant’s ID documents. It is automatically added when the applicant is created.

To obtain inspectionId, use the following method.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!